org.wildfly.swarm.config.undertow.server.host

## Class SingleSignOnSetting<T extends SingleSignOnSetting<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.server.host.SingleSignOnSetting<T>

-     public class SingleSignOnSetting<T extends SingleSignOnSetting<T>>
      extends Object

  An SSO authentication mechanism configuration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleSignOnSetting()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `cookieName()` Name of the cookie
    `T` | `cookieName(String value)` Name of the cookie
    `String` | `domain()` The cookie domain that will be used.
    `T` | `domain(String value)` The cookie domain that will be used.
    `String` | `getKey()`
    `Boolean` | `httpOnly()` Set Cookie httpOnly attribute.
    `T` | `httpOnly(Boolean value)` Set Cookie httpOnly attribute.
    `String` | `path()` Cookie path.
    `T` | `path(String value)` Cookie path.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `secure()` Set Cookie secure attribute.
    `T` | `secure(Boolean value)` Set Cookie secure attribute.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleSignOnSetting

          public SingleSignOnSetting()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### cookieName

          public String cookieName()

      Name of the cookie

    - #### cookieName

          public T cookieName(String value)

      Name of the cookie

    - #### domain

          public String domain()

      The cookie domain that will be used.

    - #### domain

          public T domain(String value)

      The cookie domain that will be used.

    - #### httpOnly

          public Boolean httpOnly()

      Set Cookie httpOnly attribute.

    - #### httpOnly

          public T httpOnly(Boolean value)

      Set Cookie httpOnly attribute.

    - #### path

          public String path()

      Cookie path.

    - #### path

          public T path(String value)

      Cookie path.

    - #### secure

          public Boolean secure()

      Set Cookie secure attribute.

    - #### secure

          public T secure(Boolean value)

      Set Cookie secure attribute.

Copyright © 2018 JBoss by Red Hat. All rights reserved.